# Welcome to the repository for the Behaviour Change Intervention Ontology (BCIO)

The Human Behaviour-Change Project is a collaboration to synthesise what we know about behaviour change. It is a collaboration between behavioural scientists and systems architects at University College London and computer scientists at IBM Research, Dublin. 

The overall aim of the Human Behaviour-Change Project is to automate evidence searching, synthesis and interpretation to rapidly address questions from policy-makers, practitioners and others to answer ‘What works, compared with what, how well, with what exposure, with what behaviours (for how long), for whom, in what settings and why?’.  To achieve this, evidence needs to be organised ontologically, i.e. associated with a shared formal description of entities and relationships capturing domain knowledge in order to enable aggregation and semantic querying. We are creating the Behaviour Change Intervention Ontology (BCIO) to do this. 

Here you will find files of completed ontologies within the overarching BCIO. 
To date, completed ontology files include: 
Upper-Level BCIO:  Overall structure of the Behaviour Change Intervention Ontology 
Setting: An aggregate of entities that form the environment in which a BCI is provided 

You can also find the scripts used to generate OWL files for each ontology [scripts folder]. 

# Issue tracking 
You can report any issues with ontology files here: https://github.com/HumanBehaviourChangeProject/ontologies/labels 

# How is the Behaviour Change Intervention Ontology (BCIO) being developed? 
You can find methods used to develop the ontology on the Open Science Framework: https://osf.io/86m75/ 
Papers for each ontology will be published on Wellcome Open Research and updated here when available. 

# Relevant resources 
Michie, S. et al. (2017). The Human Behaviour-Change Project: harnessing the power of artificial intelligence and machine learning for evidence synthesis and interpretation. Implementation Science, 12(1), 121.  

Norris, Kelly & Michie. (2018). New AI system will help us discover the most effective behaviour change strategies. The Conversation. https://theconversation.com/new-ai-system-will-help-us-discover-the-most-effective-behaviour-change-strategies-100057  

Norris, E., Finnerty, A. N., Hastings, J., Stokes, G., & Michie, S. (2019). A scoping review of ontologies related to human behaviour change. Nature Human Behaviour, 3(2), 164-172. 

Project website: https://www.humanbehaviourchange.org/ 
For more information, please contact humanbehaviourchange@ucl.ac.uk  



GitHub contributors: 
Janna Hastings, Ailbhe N. Finnerty, Emma Norris 

Project Investigators: 
Susan Michie, Pol Mac Aonghusa, James Thomas, Michael P. Kelly, Marie Johnston, John Shawe-Taylor, Robert West 

Ontology development team: 
Ailbhe N. Finnerty, Emily Hayes, Candice Moore, Emma Norris, Alison J. Wright, Silje Zink 
